Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/WLan/TeamMessage.h File Reference

Declaration of class TeamMessage. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Player.h"`
`#include "Representations/Cognition/RobotPose.h"`
`#include "Representations/Cognition/BallModel.h"`
`#include "Representations/Cognition/ObstaclesModel.h"`
`#include "Representations/Perception/PlayersPercept.h"`
`#include "Representations/WLan/BehaviorTeamMessage.h"`
`#include "Modules/SensorBehaviorControl/SensorBehaviorTeamMessage.h"`
`#include "Representations/Motion/OdometryData.h"`
`#include "Representations/Perception/MultipleBallPerceptList.h"`
`#include "Representations/Cognition/RobotPoseCollection.h"`
`#include "Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerSend.h"`

Include dependency graph for TeamMessage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | TeamMessage
| Represents a collection of all data that is exchanged between the different robots. More...
class | TeamMessage1
| A TeamMessage from team mate 1. More...
class | TeamMessage2
| A TeamMessage from team mate 2. More...
class | TeamMessage3
| A TeamMessage from team mate 3. More...
class | TeamMessage4
## Functions
In & | operator>> (In &stream, TeamMessage &teamMessage)
| Streaming operator that reads a team message from a stream.
Out & | operator<< (Out &stream, const TeamMessage &teamMessage)
| Streaming operator that writes a team message to a stream.

## Detailed Description

Declaration of class TeamMessage.

Author:
  Thomas Röfer

  Sebastian Schmidt

  Michael Wachter

Definition in file TeamMessage.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | TeamMessage & | teamMessage
| ) |

  | Streaming operator that reads a team message from a stream. Parameters:
  stream | The stream from which is read.
  teamMessage | The object to be read.
Returns: The stream. Definition at line 68 of file TeamMessage.cpp. References ObstaclesModel::angleToFreePartOfGoalWasDetermined, TeamMessage::behaviorTeamMessage, TeamMessage::gt2005ParticleContainerSend, TeamMessage::incomingTimeStamp, TeamMessage::lastReceivedTimeStamp, TeamMessage::multipleBallPerceptList, TeamMessage::obstaclesModel, TeamMessage::odometryData, TeamMessage::playerNumberOfSender, TeamMessage::playersPercept, TeamMessage::read(), TeamMessage::robotPose, TeamMessage::robotPoseCollection, TeamMessage::seenBallState, TeamMessage::sendBehaviorTeamMessage, TeamMessage::sendGT2005ParticleContainerSend, TeamMessage::sendMultipleBallPerceptList, TeamMessage::sendObstaclesModel, TeamMessage::sendOdometryData, TeamMessage::sendPlayersPercept, TeamMessage::sendRobotPose, TeamMessage::sendRobotPoseCollection, TeamMessage::sendSeenBallState, TeamMessage::sendSensorBehaviorTeamMessage, TeamMessage::sensorBehaviorTeamMessage, RobotPose::setValidity(), TeamMessage::timeStamp, and ObstaclesModel::widthOfFreePartOfGoal.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const TeamMessage & | teamMessage
| ) |

  | Streaming operator that writes a team message to a stream. Parameters:
  stream | The stream to write on.
  teamMessage | The object to be written.
Returns: The stream. Definition at line 167 of file TeamMessage.cpp. References ObstaclesModel::angleToFreePartOfGoalWasDetermined, TeamMessage::behaviorTeamMessage, getPlayer(), Player::getPlayerNumber(), RobotPose::getValidity(), TeamMessage::gt2005ParticleContainerSend, TeamMessage::incomingTimeStamp, TeamMessage::lastReceivedTimeStamp, TeamMessage::multipleBallPerceptList, TeamMessage::obstaclesModel, TeamMessage::odometryData, TeamMessage::playersPercept, TeamMessage::robotPose, TeamMessage::robotPoseCollection, TeamMessage::seenBallState, TeamMessage::sendBehaviorTeamMessage, TeamMessage::sendGT2005ParticleContainerSend, TeamMessage::sendMultipleBallPerceptList, TeamMessage::sendObstaclesModel, TeamMessage::sendOdometryData, TeamMessage::sendPlayersPercept, TeamMessage::sendRobotPose, TeamMessage::sendRobotPoseCollection, TeamMessage::sendSeenBallState, TeamMessage::sendSensorBehaviorTeamMessage, TeamMessage::sensorBehaviorTeamMessage, TeamMessage::timeStamp, ObstaclesModel::widthOfFreePartOfGoal, and TeamMessage::write().

Here is the call graph for this function: